apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      description: The broker's headless, non load balanced service
    creationTimestamp: 2019-02-14T03:52:25Z
    labels:
      app: broker
      application: broker
      template: amq-broker-72-persistence-clustered-ssl
      xpaas: 1.4.16
    name: broker-amq-headless
    namespace: amqdemo
    resourceVersion: "384365"
    selfLink: /api/v1/namespaces/amqdemo/services/broker-amq-headless
    uid: f1084301-300b-11e9-a1fe-fa163ec4cc10
  spec:
    clusterIP: None
    ports:
    - name: all
      port: 61616
      protocol: TCP
      targetPort: 61616
    - name: console-jolokia
      port: 8161
      protocol: TCP
      targetPort: 8161
    - name: amqp
      port: 5672
      protocol: TCP
      targetPort: 5672
    - name: mqtt
      port: 1883
      protocol: TCP
      targetPort: 1883
    - name: stomp
      port: 61613
      protocol: TCP
      targetPort: 61613
    - name: all-ssl
      port: 61617
      protocol: TCP
      targetPort: 61617
    - name: amqp-ssl
      port: 5671
      protocol: TCP
      targetPort: 5671
    - name: mqtt-ssl
      port: 8883
      protocol: TCP
      targetPort: 8883
    - name: stomp-ssl
      port: 61612
      protocol: TCP
      targetPort: 61612
    publishNotReadyAddresses: true
    selector:
      deploymentConfig: broker-amq
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      description: The JGroups ping port for clustering.
      service.alpha.kubernetes.io/tolerate-unready-endpoints: "true"
    creationTimestamp: 2019-02-14T03:52:25Z
    labels:
      application: broker
      template: amq-broker-72-persistence-clustered-ssl
      xpaas: 1.4.16
    name: ping
    namespace: amqdemo
    resourceVersion: "384366"
    selfLink: /api/v1/namespaces/amqdemo/services/ping
    uid: f108624d-300b-11e9-a1fe-fa163ec4cc10
  spec:
    clusterIP: None
    ports:
    - port: 8888
      protocol: TCP
      targetPort: 8888
    selector:
      deploymentConfig: broker-amq
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
